Python Version der verschiedenen Boxen

  • It's kinda laughable to state that people are buying Box A or Box B depending on which python version is running. You can't be serious about that.

    As already stated all our code has already been made py3 ready using six & co.


    But switching in the middle of a release won't happen. That would be seriously crazy.

    And that's something we leave to others.

    mfg ,
    Reichi

  • Thanks for your answer Reichi


    The last first.. Is there a timeline for this release???


    And to my statement about people choosing Box A or Box B depending of python version.

    If popular plugin developers move from python 2.7 to python 3 you as a developer now that it would be some trouble with missing dependency files.


    Anyway this does not matter i bend my neck for you and moves on back under my rock...

    Everything in life that's any fun is either immoral, illegal or fattening

  • None is moving from 2.7 to 3.8, all changes your are referring to are still using 2.7 code with forward compatibility code for Python3.
    So basically it's still 2.7 code which is also running with 3.8 but also with 2.7.
    So currently there is absolutely no need to hurry and change images to use Python3.


    FYI I was the first one who initially started supporting Python3, which then resulted that also OpenATV started to implement Python3. But Dream was already far beyond that, there is just no public image for testing.

    Edited 3 times, last by dhwz ().

  • Thanks dhwz for nice answer and i can see your point when its so good explained.

    I was just concern that we might start to fallback because of this, But you have calme down ;)


    Thanks :)

    Everything in life that's any fun is either immoral, illegal or fattening